version: '2'

services:
  minio1:
    ports:
      - "9000:9000"
      - "9001:9001"
    image: '192.168.233.100:8033/cmii/minio:2022.5.4'
    environment:
      - MINIO_ROOT_USER=cmii
      - MINIO_ROOT_PASSWORD=B#923fC7mk
      - MINIO_DISTRIBUTED_MODE_ENABLED=yes
      - MINIO_DISTRIBUTED_NODES=minio{1...8}/data
      - MINIO_SKIP_CLIENT=yes
    volumes:
      - /data/minio-pv/pv1:/data
  minio2:
    image: '192.168.233.100:8033/cmii/minio:2022.5.4'
    environment:
      - MINIO_ROOT_USER=cmii
      - MINIO_ROOT_PASSWORD=B#923fC7mk
      - MINIO_DISTRIBUTED_MODE_ENABLED=yes
      - MINIO_DISTRIBUTED_NODES=minio{1...8}/data
      - MINIO_SKIP_CLIENT=yes
    volumes:
      - /data/minio-pv/pv2:/data
  minio3:
    image: '192.168.233.100:8033/cmii/minio:2022.5.4'
    environment:
      - MINIO_ROOT_USER=cmii
      - MINIO_ROOT_PASSWORD=B#923fC7mk
      - MINIO_DISTRIBUTED_MODE_ENABLED=yes
      - MINIO_SKIP_CLIENT=yes
      - MINIO_DISTRIBUTED_NODES=minio{1...8}/data
    volumes:
      -  /data/minio-pv/pv3:/data
  minio4:
    image: '192.168.233.100:8033/cmii/minio:2022.5.4'
    environment:
      - MINIO_ROOT_USER=cmii
      - MINIO_ROOT_PASSWORD=B#923fC7mk
      - MINIO_DISTRIBUTED_MODE_ENABLED=yes
      - MINIO_SKIP_CLIENT=yes
      - MINIO_DISTRIBUTED_NODES=minio{1...8}/data
    volumes:
      -  /data/minio-pv/pv4:/data
  minio5:
    image: '192.168.233.100:8033/cmii/minio:2022.5.4'
    environment:
      - MINIO_ROOT_USER=cmii
      - MINIO_ROOT_PASSWORD=B#923fC7mk
      - MINIO_DISTRIBUTED_MODE_ENABLED=yes
      - MINIO_SKIP_CLIENT=yes
      - MINIO_DISTRIBUTED_NODES=minio{1...8}/data
    volumes:
      -  /data/minio-pv/pv5:/data
  minio6:
    image: '192.168.233.100:8033/cmii/minio:2022.5.4'
    environment:
      - MINIO_ROOT_USER=cmii
      - MINIO_ROOT_PASSWORD=B#923fC7mk
      - MINIO_DISTRIBUTED_MODE_ENABLED=yes
      - MINIO_SKIP_CLIENT=yes
      - MINIO_DISTRIBUTED_NODES=minio{1...8}/data
    volumes:
      -  /data/minio-pv/pv6:/data
  minio7:
    image: '192.168.233.100:8033/cmii/minio:2022.5.4'
    environment:
      - MINIO_ROOT_USER=cmii
      - MINIO_ROOT_PASSWORD=B#923fC7mk
      - MINIO_DISTRIBUTED_MODE_ENABLED=yes
      - MINIO_SKIP_CLIENT=yes
      - MINIO_DISTRIBUTED_NODES=minio{1...8}/data
    volumes:
      -  /data/minio-pv/pv7:/data
  minio8:
    image: '192.168.233.100:8033/cmii/minio:2022.5.4'
    environment:
      - MINIO_ROOT_USER=cmii
      - MINIO_ROOT_PASSWORD=B#923fC7mk
      - MINIO_DISTRIBUTED_MODE_ENABLED=yes
      - MINIO_SKIP_CLIENT=yes
      - MINIO_DISTRIBUTED_NODES=minio{1...8}/data
    volumes:
      -  /data/minio-pv/pv8:/data
